Record Class GetTaskPushNotificationConfigParams
java.lang.Object
java.lang.Record
org.a2aproject.sdk.spec.GetTaskPushNotificationConfigParams
- Record Components:
taskId- the task identifier (required)id- optional specific configuration ID to retrievetenant- optional tenant, provided as a path parameter.
public record GetTaskPushNotificationConfigParams(String taskId, @Nullable String id, @Nullable String tenant)
extends Record
Parameters for retrieving push notification configuration for a specific task.
This record specifies which task's push notification configuration to retrieve, with an optional filter by configuration ID if multiple configurations exist for the task.
- See Also:
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic classBuilder for constructing GetTaskPushNotificationConfigParams instances. -
Constructor Summary
ConstructorsConstructorDescriptionConvenience constructor for retrieving the configuration that uses the task ID as its default ID.GetTaskPushNotificationConfigParams(String taskId, @Nullable String id) Convenience constructor for creating parameters without tenant.GetTaskPushNotificationConfigParams(String taskId, @Nullable String id, @Nullable String tenant) Compact constructor that validates required fields. -
Method Summary
Modifier and TypeMethodDescriptionbuilder()Create a new Builderfinal booleanIndicates whether some other object is "equal to" this one.final inthashCode()Returns a hash code value for this object.@Nullable Stringid()Returns the value of theidrecord component.taskId()Returns the value of thetaskIdrecord component.@Nullable Stringtenant()Returns the value of thetenantrecord component.final StringtoString()Returns a string representation of this record class.
-
Constructor Details
-
GetTaskPushNotificationConfigParams
public GetTaskPushNotificationConfigParams(String taskId, @Nullable String id, @Nullable String tenant) Compact constructor that validates required fields.- Parameters:
taskId- the taskId parameter (see class-level JavaDoc)id- the id parameter (see class-level JavaDoc)tenant- the tenant parameter (see class-level JavaDoc)- Throws:
IllegalArgumentException- if taskId is null
-
GetTaskPushNotificationConfigParams
Convenience constructor for retrieving the configuration that uses the task ID as its default ID.- Parameters:
taskId- the task identifier (required)
-
GetTaskPushNotificationConfigParams
-
-
Method Details
-
builder
Create a new Builder- Returns:
- the builder
-
toString
-
hashCode
-
equals
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared withObjects::equals(Object,Object). -
taskId
-
id
-
tenant
-